package cn.ibizlab.assetmanagement.core.apply.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.apply.domain.EAMApply;
/**
 * 关系型数据实体[EAMApply] 查询条件对象
 */
@Slf4j
@Data
public class EAMApplySearchContext extends QueryWrapperContext<EAMApply> {

	private String n_eamapplyname_like;//[维护申请名称]
	public void setN_eamapplyname_like(String n_eamapplyname_like) {
        this.n_eamapplyname_like = n_eamapplyname_like;
        if(!ObjectUtils.isEmpty(this.n_eamapplyname_like)){
            this.getSearchCond().like("eamapplyname", n_eamapplyname_like);
        }
    }
	private String n_eamapplytypeid_eq;//[维护申请类型标识]
	public void setN_eamapplytypeid_eq(String n_eamapplytypeid_eq) {
        this.n_eamapplytypeid_eq = n_eamapplytypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamapplytypeid_eq)){
            this.getSearchCond().eq("eamapplytypeid", n_eamapplytypeid_eq);
        }
    }
	private String n_eamlocationid_eq;//[功能位置标识]
	public void setN_eamlocationid_eq(String n_eamlocationid_eq) {
        this.n_eamlocationid_eq = n_eamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationid_eq)){
            this.getSearchCond().eq("eamlocationid", n_eamlocationid_eq);
        }
    }
	private String n_assetid_eq;//[资产标识]
	public void setN_assetid_eq(String n_assetid_eq) {
        this.n_assetid_eq = n_assetid_eq;
        if(!ObjectUtils.isEmpty(this.n_assetid_eq)){
            this.getSearchCond().eq("assetid", n_assetid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamapplyname", query)   
            );
		 }
	}
}



